local JohnMarston = {}
JohnMarston.peds = {}
JohnMarston.howMany = 2
function JohnMarston.unload()
	for k,guard in pairs(JohnMarston.peds) do
		if( guard ~= nil) then
			PED.DELETE_PED(guard)
			JohnMarston.peds[k] = nil
		end
	end
end

function JohnMarston.tick()
	if(get_key_pressed(35)) then 
		local JohnSkinID = GAMEPLAY.GET_HASH_KEY("MP_M_Marston_01")
		local playerPed = PLAYER.PLAYER_PED_ID()
		local player = PLAYER.GET_PLAYER_PED(playerPed)
		local playerID = PLAYER.PLAYER_ID()
		local playerExists = ENTITY.DOES_ENTITY_EXIST(playerPed)
		local playerPosition = ENTITY.GET_OFFSET_FROM_ENTITY_IN_WORLD_COORDS(playerPed, 0.0, 5.0, 0.0)
		local playerGroup = PED.GET_PED_GROUP_INDEX(playerPed)
		JohnMarston.unload()
		STREAMING.REQUEST_MODEL(JohnSkinID)
		while(not STREAMING.HAS_MODEL_LOADED(JohnSkinID)) do
				wait(50)
		end
		for i = 0 ,JohnMarston.howMany,1 do
			JohnMarston.peds[i] = PED.CREATE_PED( 26,JohnSkinID,playerPosition.x, playerPosition.y, playerPosition.z,1,false,true)	
			PED.SET_PED_CAN_SWITCH_WEAPON(JohnMarston.peds[i],false)
			WEAPON.GIVE_DELAYED_WEAPON_TO_PED(JohnMarston.peds[i], GAMEPLAY.GET_HASH_KEY("WEAPON_RAILGUN"), 1000, false)
			PED.SET_PED_AS_GROUP_MEMBER(JohnMarston.peds[i], playerGroup)
			ENTITY.SET_ENTITY_INVINCIBLE(JohnMarston.peds[i], true);
		end
		STREAMING.SET_MODEL_AS_NO_LONGER_NEEDED(JohnSkinID)
	end
end

return JohnMarston