local NikoBellic = {}
NikoBellic.peds = {}
NikoBellic.howMany = 2
function NikoBellic.unload()
	for k,guard in pairs(NikoBellic.peds) do
		if( guard ~= nil) then
			PED.DELETE_PED(guard)
			NikoBellic.peds[k] = nil
		end
	end
end

function NikoBellic.tick()
	if(get_key_pressed(35)) then 
		local NikoSkinID = GAMEPLAY.GET_HASH_KEY("MP_M_Niko_01")
		local playerPed = PLAYER.PLAYER_PED_ID()
		local player = PLAYER.GET_PLAYER_PED(playerPed)
		local playerID = PLAYER.PLAYER_ID()
		local playerExists = ENTITY.DOES_ENTITY_EXIST(playerPed)
		local playerPosition = ENTITY.GET_OFFSET_FROM_ENTITY_IN_WORLD_COORDS(playerPed, 0.0, 5.0, 0.0)
		local playerGroup = PED.GET_PED_GROUP_INDEX(playerPed)
		NikoBellic.unload()
		STREAMING.REQUEST_MODEL(NikoSkinID)
		while(not STREAMING.HAS_MODEL_LOADED(NikoSkinID)) do
				wait(50)
		end
		for i = 0 ,NikoBellic.howMany,1 do
			NikoBellic.peds[i] = PED.CREATE_PED( 26,NikoSkinID,playerPosition.x, playerPosition.y, playerPosition.z,1,false,true)	
			PED.SET_PED_CAN_SWITCH_WEAPON(NikoBellic.peds[i],false)
			WEAPON.GIVE_DELAYED_WEAPON_TO_PED(NikoBellic.peds[i], GAMEPLAY.GET_HASH_KEY("WEAPON_RAILGUN"), 1000, false)
			PED.SET_PED_AS_GROUP_MEMBER(NikoBellic.peds[i], playerGroup)
			ENTITY.SET_ENTITY_INVINCIBLE(NikoBellic.peds[i], true);
		end
		STREAMING.SET_MODEL_AS_NO_LONGER_NEEDED(NikoSkinID)
	end
end

return NikoBellic